Page MenuHomePhabricator

Investigate what to do with missing values in Manifest output
Closed, ResolvedPublic

Description

We should investigate what we need to do to comply with the restful API principles.

We considered that maybe:

  • Empty properties should have the value "null". If a property has no value, we should include the property name in the JSON output, with the value null.
  • Empty values could have an empty object (current state)

The outcome of this task could result in needing to change the spec so that it conforms to the rule we decide on.

Event Timeline

Tarrow created this task.Sep 30 2020, 10:10 AM
Restricted Application added a project: Wikidata. · View Herald TranscriptSep 30 2020, 10:10 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Samantha_Alipio_WMDE renamed this task from Investigate what to do with missing values in manifest output to Investigate what to do with missing values in Manifest output.Oct 1 2020, 9:04 AM
Samantha_Alipio_WMDE updated the task description. (Show Details)

Change 631462 had a related patch set uploaded (by Tonina Zhelyazkova; owner: Tonina Zhelyazkova):
[mediawiki/extensions/WikibaseManifest@master] Add ADR 3 - How to represent lack of value in the in Manifest

https://gerrit.wikimedia.org/r/631462

Change 631462 merged by jenkins-bot:
[mediawiki/extensions/WikibaseManifest@master] Add ADR 3 - How to represent lack of value in Manifest

https://gerrit.wikimedia.org/r/631462

Change 632922 had a related patch set uploaded (by Tonina Zhelyazkova; owner: Tonina Zhelyazkova):
[mediawiki/extensions/WikibaseManifest@master] Amend ADR 3 and set its state to "accepted"

https://gerrit.wikimedia.org/r/632922

Change 632922 merged by jenkins-bot:
[mediawiki/extensions/WikibaseManifest@master] Amend ADR 3 and set its state to "accepted"

https://gerrit.wikimedia.org/r/632922

darthmon_wmde closed this task as Resolved.Oct 21 2020, 10:28 AM